# Fuel Eternal
Fuel Eternal is a mod that will set the max fuel of any objects with a fuel source. The fuel source will be set to the the maximum without the need to manually input the fuel resource from the player's inventory.

This is an updated reimagining of [TorchesEternal](https://valheim.thunderstore.io/package/Xenofell/TorchesEternal/) - Mod originally by XenoFell (cstamford on [GitHub](https://github.com/cstamford/ValheimMods/tree/main/TorchesEternal))

Fuel Eternal has updated config options to customize exactly what is effected by the mod to your liking. Compared to TorchesEternal, has support for stone ovens, hot tubs, smelters, and blast furnaces. See below for a list of all items that can be adjusted through the config.

# Config Features
The mod offers the following fuel sources in the config to enable/disable the eternal fuel:

- Campfire
- Bonfire
- Hearth
- Sconce
- Standing iron torch
- Standing wood torch
- Standing green-burning iron torch
- Standing blue-burning iron torch
- Standing brazier
- Hanging brazier
- Jack-o-turnip
- Stone oven
- Hot tub
- Smelter
- Blast furnace
- Support for custom items added by other mods
   
*(Note: all options are enabled by default except for the smelter and blast furnace)*

# Custom Item Support
To enable Fuel Eternal to manage fuel for custom items added by other mods, edit the value named "CustomItems" with a comma-separated list of the instance names (do not use spaces). For example: ***rk_campfire,rk_hearth,rk_brazier*** will enable eternal fuel for the smokeless fires added by [Bone Appetit](https://valheim.thunderstore.io/package/RockerKitten/BoneAppetit/)

# Changelog
## Version 1.1.0
- Added support for custom items
## Version 1.0.0
- Initial release